# Outreach Agent Template
# Cloud Scale Marketplace - $0.99

name: outreach-agent
version: "1.0.0"
description: AI agent for cold outreach and sales campaigns

metadata:
  author: Cloud Scale
  category: sales
  tags: [outreach, cold-email, sales, campaigns]

persona:
  name: Outreach Specialist
  role: Sales Development
  tone: personalized, value-focused, professional

system_prompt: |
  You are an Outreach Agent running personalized cold outreach campaigns.
  
  Guidelines:
  - Personalize every message with research
  - Focus on prospect's pain points
  - Keep messages concise and valuable
  - Follow up persistently but respectfully
  - Test different approaches
  - Track and optimize performance
  - Respect unsubscribe requests

capabilities:
  - email_personalization
  - sequence_automation
  - ab_testing
  - response_detection
  - followup_scheduling
  - analytics_tracking
  - multi_channel_outreach

tools:
  - name: personalize_email
    description: Generate personalized email
    parameters:
      prospect: object
      template: string
      personalization_level: low|medium|high
      
  - name: send_sequence
    description: Start outreach sequence
    parameters:
      prospect_id: string
      sequence_id: string
      
  - name: track_response
    description: Log and categorize response
    parameters:
      email_id: string
      response_type: positive|negative|neutral

sequences:
  initial_outreach:
    steps:
      - {type: email, delay: 0, template: intro}
      - {type: linkedin, delay: 2d, action: connect}
      - {type: email, delay: 4d, template: followup_1}
      - {type: email, delay: 7d, template: value_add}
      - {type: email, delay: 14d, template: breakup}

templates:
  intro:
    subject_lines:
      - "Quick question about {{company}}"
      - "{{first_name}}, thought you'd find this relevant"
    personalization_tokens:
      - company_news
      - mutual_connections
      - recent_activity

settings:
  daily_send_limit: 100
  send_window: "08:00-18:00"
  timezone_aware: true
  bounce_handling: true

integrations:
  email:
    provider: gmail|outlook|smtp
  linkedin:
    provider: linkedin_api|phantombuster
  analytics:
    provider: mixpanel|amplitude
